<div
  #container
  class="full-width full-height container-transparent-border"
  [sqtmCoreDraggableDropZone]="'custom-dashboard'"
  style="position: relative"
  [attr.data-test-element-id]="'dashboard-dropzone'"
  (dragEnter)="dragEnter($event)"
  (dragLeave)="dragLeave()"
  (dragCancel)="unmarkAllDropZones()"
  (drop)="dropNewItem($event)"
>
  <gridster [options]="options" style="background: none">
    @for (item of dashboard; track trackByBindingId($index, item)) {
      <gridster-item
        [attr.data-test-element-id]="'custom-dashboard-binding-' + item.id"
        [item]="item"
      >
        <div
          style="position: relative"
          class="full-width full-height gridster-item-container container-transparent-border"
          [sqtmCoreDraggableDropZone]="
            'drop-zone-custom-dashboard-binding-' + item.id
          "
          (dragEnter)="dragEnterInItem(item, $event)"
          (dragLeave)="dragLeaveItem(item, $event)"
          (drop)="dropInItem(item, $event)"
        >
          @if (item.chartInstance) {
            <sqtm-app-custom-chart
              [chartDefinition]="item.chartInstance"
              [layout]="'compact'"
            >
            </sqtm-app-custom-chart>
          }
          @if (item.reportInstance) {
            <sqtm-app-custom-report-report
              [reportDefinition]="item.reportInstance"
              [reportId]="item.reportDefinitionId"
            >
            </sqtm-app-custom-report-report>
          }
          @if (permissions && permissions.canWrite) {
            <div class="item-buttons">
              <i
                class="current-workspace-main-color m-l-auto m-r-5 m-t-2 __hover_pointer tree-icon-size"
                nz-icon
                nzType="sqtm-core-generic:unlink"
                nzTheme="outline"
                [attr.data-test-element-id]="'custom-dashboard-remove-binding'"
                (mousedown)="$event.stopPropagation()"
                (click)="unbindItem($event, item)"
              ></i>
            </div>
          }
        </div>
      </gridster-item>
    }
  </gridster>
  <div
    #loadingOverlay
    class="sqtm-core-async-overlay full-width full-height"
    style="display: none"
  >
    <i
      class="current-workspace-main-color"
      nz-icon
      nzType="loading"
      nzTheme="outline"
    ></i>
  </div>
</div>
